%define name	grustibus
%define version	0.43
%define release 2mdk

Release:	%release
Summary:	A Gnome frontend for M.A.M.E.
Name:     	%name
Version: 	%version
License:	GPL
Group:		Emulators
URL:		http://grustibus.sourceforge.net/
Source:		http://download.sourceforge.net/gRustibus/%{name}-%{version}.tar.bz2
#Patch:          grustibus-0.42-defaultsettings.patch.bz2
Source1: %{name}-48x48.xpm.bz2
Source2: %{name}-32x32.xpm.bz2
Source3: %{name}-16x16.xpm.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:         %{_prefix}
Requires: xmame

%description 
A frontend for the M.A.M.E. arcade emulator designed to run under the GNOME
desktop environment. Supported games are listed along with various information
about the game, including its status (installed, missing, incorrect etc).
Screenshots, flyer images and cabinet photos for the games can be shown. It
lets you configure your games using the gui.           

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch

%build

%configure --without-bonobo

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%{find_lang} %{name}
#menu and icons
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): section="Applications/Emulators" title="Grustibus" longtitle="A Gnome frontend for M.A.M.E." icon="grustibus.xpm" needs="X11" command="grustibus"
EOF
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/grustibus.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/grustibus.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/grustibus.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL NEWS README TODO BUGS
%config(noreplace) %{_sysconfdir}/gnome/config/gRustibus.d/*
%{_bindir}/*
%{_datadir}/gnome/apps/*
%{_datadir}/pixmaps/*
%{_menudir}/grustibus
%{_iconsdir}/grustibus.xpm
%{_liconsdir}/grustibus.xpm
%{_miconsdir}/grustibus.xpm

%changelog
* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Tue Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.43-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake spec

